DUMPCONF(8)

NAME
dumpconf - Configure panic and PSW restart actions for Linux on System z

SYNOPSIS
dumpconf [start|stop|status]
dumpconf [-h|-v]

DESCRIPTION
dumpconf reads the /etc/sysconfig/dumpconf file and establishes the action to be taken if a kernel panic occurs or PSW restart is triggered. The following keywords can be used in the dumpconf file:

- ON_PANIC:
    Shutdown action in case of a kernel panic or a PSW restart. Possible values are 'dump', 'reipl', 'dump_reipl', 'stop' and 'vmcmd':
    dump: Trigger dump according to the configuration in /etc/sysconfig/dumpconf.
    reipl: Trigger re-IPL according to the configuration under /sys/firmware/reipl.
    dump_reipl: First trigger dump according to the configuration in /etc/sysconfig/dumpconf, then trigger re-IPL according to the configuration under /sys/firmware/reipl.
    stop: Stop Linux and enter disabled wait (default).
    vmcmd: Trigger CP command according to the 'VMCMD_X' configuration in /etc/sysconfig/dumpconf.

- DUMP_TYPE:
    Type of dump device. Possible values are 'ccw', 'fcp' and 'nvme'.

- DEVICE:
    Device number of dump device.

- WWPN
    WWPN for SCSI dump device.

- LUN
    LUN for SCSI dump device.

- FID
    Function ID for NVMe dump device.

- NSID
    Namespace ID for NVMe dump device.

- BOOTPROG:
    Boot program selector.

- BR_LBA:
    Boot record logical block address.

- VMCMD_1, VMCMD_2 ... VMCMD_8:
    Up to eight CP commands, which are executed in case of a kernel panic or PSW restart.

- DELAY_MINUTES:
    Number of minutes the activation of dumpconf is to be delayed. If this keyword is omitted, the default is zero, which means that dumpconf activates immediately during system startup. Specify a non-zero delay time only if you specified shutdown action "reipl" or "dump_reipl". These actions might cause a reboot loop if the Linux kernel crashes persistently during (or shortly after) each reboot. A non-zero delay time causes dumpconf to sleep in the background until the delay time has expired. In this case messages are written to /var/log/messages. By default (DELAY_MINUTES is omitted or zero) dumpconf runs in the foreground and informational messages are written to sysout, while error messages are written to syserr. Example: If you specified DELAY_MINUTES=10 and your Linux system crashes within 10 minutes after the reboot, then dumpconf is not yet active and the default action (stop) is triggered.

COMMANDS

start
    Enable configuration defined in /etc/sysconfig/dumpconf.

stop
    Disable dump configuration.

status
    Show current configuration.

OPTIONS

-h or --help
    Print usage information, then exit.

-v or --version
    Print version information, then exit.

PSW Restart
PSW Restart can be triggered by the operator under z/VM with the CP command "#cp system restart" and under LPAR on the HMC with "Recovery/PSW Restart".

EXAMPLES:
The following are examples of the /etc/sysconfig/dumpconf file:
#
# Example configuration for a CCW dump device (DASD)
#
ON_PANIC=dump_reipl
DUMP_TYPE=ccw
DEVICE=0.0.1234
DELAY_MINUTES=5
#
# Example configuration for an FCP dump device (SCSI Disk)
#
ON_PANIC=dump
DUMP_TYPE=fcp
DEVICE=0.0.2345
WWPN=0x5005076303004712
LUN=0x4713000000000000
BOOTPROG=0
BR_LBA=0
#
# Example configuration for an NVMe dump device (NVMe Disk)
#
ON_PANIC=dump
DUMP_TYPE=nvme
FID=0x0300
NSID=0x0001
BOOTPROG=0
BR_LBA=0
#
# Example configuration for CP commands
#
ON_PANIC=vmcmd
VMCMD_1="MESSAGE * Starting VMDUMP"
VMCMD_2="VMDUMP"
VMCMD_3="IPL 3456" #
# Example config for re-IPL
#
ON_PANIC=reipl
DELAY_MINUTES=5

SEE ALSO
Linux on System z: Using the Dump Tools